#
# spec file for package gnomemeeting (Version 0.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile cyrus-sasl esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel imlib imlib-devel libgpp openh323 openh323-devel openldap openldap-devel openldap-lib openssl openssl-devel orbit orbit-devel pwlib pwlib-devel xdevel xf86 xshared
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openh323 openh323-devel openldap openldap-devel openldap-lib openssl openssl-devel orbit orbit-devel pam pam-devel patch perl ps pwlib pwlib-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnomemeeting
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:	      X11/GNOME/Applications
Autoreqprov:  on
Version:      0.10
Release:      55
Summary:      Graphical frontend to H.323 video conferencing
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif

%description
Graphical frontend to H.323 video conferencing

Authors:
--------
    Damien Sandras <dsandras@acm.org>

SuSE series: gnm

%prep
%setup
%patch

%build
#aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
export PWLIBDIR=/usr/lib/pwlib
export PTLIB_INCLUDE_DIR=$PWLIBDIR/include/ptlib
export OPENH323DIR=/usr/lib/openh323
export OPENH323_INCLUDE_DIR=$OPENH323DIR/include
export CFLAGS="$RPM_OPT_FLAGS"
if [ `uname -m | cut -b 3-` == "86" ]; then
  export MARCH="x86"
elif [ `uname -m | cut -b -3` == "ppc" ]; then
  export MARCH="ppc"
elif [ `uname -m | cut -b -7` == "sparc64" ]; then
  export MARCH="sparc64"
elif [ `uname -m | cut -b -5` == "sparc" ]; then
  export MARCH="sparc"
elif [ `uname -m | cut -b -5` == "alpha" ]; then
  export MARCH="alpha"
elif [ `uname -m | cut -b -4` == "ia64" ]; then
  export MARCH="ia64"
else
  export MARCH=`uname -m`
fi
./configure \
    --sysconfdir=%sysconfdir \
    --prefix=%prefix \
    --datadir=%{prefix}/share \
    --mandir=%{_mandir} \
    --with-gnome=/opt/gnome \
    --with-gnome-includes=/opt/gnome/include \
    --with-gnome-libs=/opt/gnome/lib
make 

%install
make install

%clean

%files
%doc README FEATURES FAQ
%{prefix}/bin/gnomemeeting
%{prefix}/share/locale/*/LC_MESSAGES/GnomeMeeting.mo
%{prefix}/share/sounds/gnomemeeting/*
%{prefix}/share/pixmaps/gnomemeeting*
/etc/%{prefix}/sound/events/GnomeMeeting.soundlist
%{prefix}/share/gnome/apps/Internet/gnomemeeting.desktop

%changelog -n gnomemeeting
* Tue Aug 21 2001 - ro@suse.de
- update to 0.10 to make it compile
- fixed filelist
* Fri Aug 10 2001 - hhetter@suse.de
- filelist recheck
- enable gnome desktop entries and icons
* Tue Jul 03 2001 - kkaempf@suse.de
- Initial version 0.9-1
